<template>
  <div class="typography">
    <h3>Typography</h3>
    <div class="text-muted">Sans-serif - Open Sans, general use cases</div>

    <h1>Header 1 (48/60)</h1>
    <h2>Header 2 (34/42)</h2>
    <h3>Header 3 (24/30)</h3>
    <h4>Header 4 (20/24)</h4>
    <p>Body/View/P (14/24)</p>
    <strong>Strong (14/24)</strong>
  </div>
</template>

<script>
export default {
  name: "Typography",
  data() {
    return {};
  }
};
</script>

<style>
.typography {
  font-family: "OpenSans-Light", Arial, sans-serif;
}
h1,
.h1 {
  font-size: 3rem;
  line-height: 3.75rem;
}
h2,
.h2 {
  font-size: 2.125rem;
  line-height: 2.625rem;
}
h3,
.h3 {
  font-size: 1.5rem;
  line-height: 1.875rem;
}
h4,
.h4 {
  font-size: 1.25rem;
  line-height: 1.5rem;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  max-width: 100%;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0.5rem;
}
p,
strong {
  font-size: 0.875rem;
  line-height: 1.5rem;
}
strong {
  font-weight: bold;
}

.text-muted {
  color: #818a91 !important;
}

ol,
ul,
dl {
  margin-top: 0;
  margin-bottom: 1rem;
}
li {
  display: list-item;
  text-align: -webkit-match-parent;
}
.caption {
  font-size: 12px;
}
</style>
